Thousand separators to numeric scalebar in map composer

2012-08-31 02:38 AM - Pekka Sarkola

Status: Closed

Priority: Low

Assignee:

Category:

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 15587

Description

Hi,

I like to have possibility to render thousand separators in numeric scalebars in map composer. Now, when I have map with scale of 1:1

million, numeric scale bar will be '1:1000000'. I'd like it to be '1:1 000 000'. Or for nerds to be '1:1M' (this is joke ;-).

This very minor new feature request. But quite important feature when you made "pro-like" maps.

Rgs,

Pekka

Related issues:

Related to QGIS Application - Feature request # 13281: Support different thou... Open 2015-08-28

History

#1 - 2012-08-31 04:20 AM - Marco Hugentobler

Commit ee1636900a3403127d1853f52ae79853082a0ca5 localises the string (with thousand separator here). Is this what you were looking for?

#2 - 2012-08-31 05:44 AM - Pekka Sarkola

Marco Hugentobler wrote:

Commit ee1636900a3403127d1853f52ae79853082a0ca5 localises the string (with thousand separator here). Is this what you were looking for?

Yes, that's what I'm needed. Well, I need check my Ubuntu and win installations.

#3 - 2012-09-03 05:09 AM - Pekka Sarkola

Marco,

At least Windows version (1.9.0 - master / revision 6a0d2f5) work as I exptected. So, I presume we can close this.

#4 - 2012-09-03 05:11 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
